spack:
  include:
      - compiler_definitions.yaml
      - packages_stack.yaml
      - packages_env.yaml
  definitions:
    # -------------------------------------------------------------------------
    # PE definition
    # -------------------------------------------------------------------------
    - mpi_gcc_stable:
        - openmpi
    - mpi_oneapi_stable:
        - intel_oneapi_mpi

    - blas_gcc_stable:
        - openblas
    - blas_oneapi_stable:
        - intel_oneapi_mkl

    # -------------------------------------------------------------------------
    # Core packages
    # -------------------------------------------------------------------------
    - core_codes:
        - gnuplot
        - imagemagick +ghostscript

    # -------------------------------------------------------------------------
    # Serial codes
    # -------------------------------------------------------------------------
    - serial_codes:
        - python +ssl
        - hdf5 ~mpi

    # -------------------------------------------------------------------------
    # Parallel codes
    # -------------------------------------------------------------------------
    - mpi_codes:
        - osu-micro-benchmarks +graphing
        - hdf5 +mpi
        - petsc +mpi

    # -------------------------------------------------------------------------
    # Generic definitions
    # -------------------------------------------------------------------------
    - mpis:
        - $mpi_oneapi_stable
        - $mpi_gcc_stable


  specs:
    - matrix:
        - [$compilers_specs]

    - matrix:
        - [$mpi_oneapi]
        - [$%compiler_oneapi]

    - matrix:
        - [$mpi_gcc_stable]
        - [$%compiler_gcc_stable]

    - matrix:
        - [$core_codes]
        - [$%system_compiler]

    - matrix:
        - [$serial_codes]
        - [$%compilers]

    - matrix:
        - [$mpi_codes]
        - [$%compilers]

  view: false
#    default:
#      root: /stack/packages/
